# {{ ansible_managed }}

server {
  listen 443 ssl;
  ssl_certificate /etc/letsencrypt/live/{{ inventory_hostname }}/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/{{ inventory_hostname }}/privkey.pem;
  include /etc/letsencrypt/options-ssl-nginx.conf;
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
  server_name {{ inventory_hostname }};
  proxy_read_timeout 720s;
  proxy_connect_timeout 720s;
  proxy_send_timeout 720s;
  proxy_set_header X-Forwarded-Host $host;
  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  proxy_set_header X-Forwarded-Proto $scheme;
  proxy_set_header X-Real-IP $remote_addr;
  ssl on;
  access_log /var/log/nginx/community_maps.access.log;
  error_log /var/log/nginx/community_maps.error.log;
  gzip_types text/css text/less text/plain text/xml application/xml application/json application/javascript;
  gzip on;

  location / {
    include proxy_params;
    proxy_pass http://community_maps;
  }
}
